<?php
 
class FrmRegAppHelper{
    
    function get_default_options(){
        return array(
            'registration' => 0, 
            'reg_username' => '', 
            'reg_email' => '', 
            'reg_password' => '',
            'reg_last_name' => '',
            'reg_first_name' => '',
            'reg_role' => 'subscriber',
            'reg_usermeta' => array()
        );
    }
    
    function username_exists($username){
        $username = sanitize_user($username, true);
        
        if(!function_exists('username_exists'))
            require_once(ABSPATH . WPINC . '/registration.php');
        
        return username_exists( $username );
    }
    
    function generate_unique_username($username, $count=0){
        if ($count > 0)
            $new_username = $username . $count;
        else
            $new_username = $username;

        if (FrmRegAppHelper::username_exists($username))
            FrmRegAppHelper::generate_unique_username($username, $count+1);
        else
            return $new_username;
    }
    
    function get_user_meta($user_ID, $meta_key){
        if(function_exists('get_user_meta'))
            get_user_meta($user_ID, $meta_key, true);
        else
            get_usermeta($user_ID, $meta_key, true);
    }
}

?>