<div class="theme-group clearfix">
	<div class="theme-group-header state-default">
		<span class="icon icon-triangle-1-e"><?php _e('Collapse', 'formidable') ?></span>
		<a href="#"><?php _e('Registration Options', 'formidable') ?></a>
	</div><!-- /theme group Error -->
	<div class="theme-group-content corner-bottom clearfix">
        <div class="clearfix">
		    <table class="form-table">
                <tr>
                    <td width="200px"><label><?php _e('Registration', 'formidable') ?>:</label></td>
                    <td><input type="checkbox" name="options[registration]" value="1" <?php checked($values['registration'], 1); ?> onclick="frm_show_div('hide_registration',this.checked,1,'.')"/> <?php _e('Register users who submit this form', 'formidable') ?></td>
                </tr>
                 
                <tr class="hide_registration" <?php echo $hide_registration = ($values['registration']) ? '' : 'style="display:none;"' ?>>
                    <td><label><?php _e('User Email', 'formidable') ?>:</label></td>
                    <td><select name="options[reg_email]">
                        <?php 
                        if(isset($fields) and is_array($fields)){
                            foreach($fields as $field){ 
                                if($field->type == 'email'){ ?>
                            <option value="<?php echo $field->id ?>" <?php selected($values['reg_email'], $field->id) ?>><?php echo substr(esc_attr(stripslashes($field->name)), 0, 80);
                            unset($field); 
                            ?></option>
                            <?php 
                                }
                            }
                        }
                        ?>
                        </select>    
                    </td>
                </tr>
                
                <tr class="hide_registration" <?php echo $hide_registration ?>>
                    <td><label><?php _e('Username', 'formidable') ?>:</label></td>
                    <td><select name="options[reg_username]">
                        <option value="">- <?php _e('Automatically Generate from Email', 'formidable') ?> -</option>
                        <?php 
                        if(isset($fields) and is_array($fields)){
                            foreach($fields as $field){ 
                                if($field->type == 'text'){ ?>
                            <option value="<?php echo $field->id ?>" <?php selected($values['reg_username'], $field->id) ?>><?php echo substr(esc_attr(stripslashes($field->name)), 0, 80);
                            unset($field); 
                            ?></option>
                            <?php 
                                }
                            }
                        }
                        ?>
                        </select>    
                    </td>
                </tr>
                
                <tr class="hide_registration" <?php echo $hide_registration ?>>
                    <td><label><?php _e('Password', 'formidable') ?>:</label></td>
                    <td><select name="options[reg_password]">
                        <option value="">- <?php _e('Automatically Generate', 'formidable') ?> -</option>
                        <?php 
                        if(isset($fields) and is_array($fields)){
                            foreach($fields as $field){ 
                                if($field->type == 'text'){ ?>
                            <option value="<?php echo $field->id ?>" <?php selected($values['reg_password'], $field->id) ?>><?php echo substr(esc_attr(stripslashes($field->name)), 0, 80);
                            unset($field); 
                            ?></option>
                            <?php 
                                }
                            }
                        }
                        ?>
                        </select>    
                    </td>
                </tr>
                
                <tr class="hide_registration" <?php echo $hide_registration ?>>
                    <td><label><?php _e('Name', 'formidable') ?>:</label></td>
                    <td><span class="howto"><?php _e('First Name', 'formidable') ?></span> 
                        <select name="options[reg_first_name]">
                        <option value="">- <?php echo _e('None', 'formidable') ?> -</option>
                        <?php 
                        if(isset($fields) and is_array($fields)){
                            foreach($fields as $field){ 
                                if($field->type == 'text'){ ?>
                            <option value="<?php echo $field->id ?>" <?php selected($values['reg_first_name'], $field->id) ?>><?php echo substr(esc_attr(stripslashes($field->name)), 0, 80);
                            unset($field); 
                            ?></option>
                            <?php 
                                }
                            }
                        }
                        ?>
                        </select>
                        
                        <span class="howto"><?php _e('Last Name', 'formidable') ?></span> 
                        <select name="options[reg_last_name]">
                            <option value="">- <?php echo _e('None', 'formidable') ?> -</option>
                            <?php 
                            if(isset($fields) and is_array($fields)){
                                foreach($fields as $field){ 
                                    if($field->type == 'text'){ ?>
                                <option value="<?php echo $field->id ?>" <?php selected($values['reg_last_name'], $field->id) ?>><?php echo substr(esc_attr(stripslashes($field->name)), 0, 80);
                                unset($field); 
                                ?></option>
                                <?php 
                                    }
                                }
                            }
                            ?>
                        </select> 
                    </td>
                </tr>
                
                <tr class="hide_registration" <?php echo $hide_registration ?>>
                    <td><label><?php _e('User Role', 'formidable') ?>:</label></td>
                    <td><?php FrmAppHelper::wp_roles_dropdown('options[reg_role]', $values['reg_role']) ?></td>
                </tr>
                
                <tr class="hide_registration" <?php echo $hide_registration ?>>
                    <td valign="top"><label><?php _e('User Meta', 'formidable') ?>:</label></td>
                    <td>
                        <div id="frm_usermeta_rows" class="tagchecklist" style="padding-bottom:8px;">
                        <?php foreach($values['reg_usermeta'] as $meta_name => $field_id){
                            include(FRM_REG_PATH .'/views/_usermeta_row.php');
                        } ?>
                        </div>
                        <p><a href="javascript:frm_add_usermeta_row();" class="button">+ Add</a></p>
                    </td>
                </tr>
                
            </table>
		</div>
	</div><!-- /theme group content -->
</div><!-- /theme group -->

<script type="text/javascript">
function frm_remove_tag(html_tag){jQuery(html_tag).remove();}
function frm_add_usermeta_row(){
jQuery.ajax({
    type:"POST",url:"<?php echo $frm_ajax_url ?>",
    data:"action=frm_add_usermeta_row&form_id=<?php echo $values['id'] ?>&meta_name="+jQuery('#frm_usermeta_rows > div').size(),
    success:function(html){jQuery('#frm_usermeta_rows').append(html);}
});
}
</script>